Package twisted :: Package spread :: Module banana |
[show private | hide private]
[frames | no frames]

## Module twisted.spread.banana

Banana -- s-exp based protocol.

Stability: semi-stable

Future Plans: This module is almost entirely stable. The same caveat applies to it as applies to `twisted.spread.jelly`, however. Read its future plans for more details.

Author: Glyph Lefkowitz<mailto:glyph@twistedmatrix.com>

Classes
`Banana` |
`Canana` |
`Pynana` |

Exceptions
`BananaError` |

Function Summary
| `b1282int(st)`
| ``decode`(st)` Decode a banana-encoded string.
| ``encode`(lst)` Encode a list s-expression.
| `int2b128(integer, stream)`

Variable Summary
`str` | `__version__`
`FakeModule` | `cBanana`
`str` | `FLOAT`
`str` | `HIGH_BIT_SET`
`str` | `INT`
`str` | `LIST`
`str` | `LONGINT`
`str` | `LONGNEG`
`str` | `NEG`
`int` | `SIZE_LIMIT`
`str` | `STRING`
`str` | `VOCAB`
`Canana` | `_i`

Function Details

### decode(st) Decode a banana-encoded string.

### encode(lst) Encode a list s-expression.

Variable Details

    ### __version__ Type: `str` Value:
        '1.37'

    ### cBanana Type: `FakeModule` Value:
        <Fake cBanana>

    ### FLOAT Type: `str` Value:
        '\x84'

    ### HIGH_BIT_SET Type: `str` Value:
        '\x80'

    ### INT Type: `str` Value:
        '\x81'

    ### LIST Type: `str` Value:
        '\x80'

    ### LONGINT Type: `str` Value:
        '\x85'

    ### LONGNEG Type: `str` Value:
        '\x86'

    ### NEG Type: `str` Value:
        '\x83'

    ### SIZE_LIMIT Type: `int` Value:
        655360

    ### STRING Type: `str` Value:
        '\x82'

    ### VOCAB Type: `str` Value:
        '\x87'

    ### _i Type: `Canana` Value:
        <twisted.spread.banana.Canana instance at 0x84f6aec>

Generated by Epydoc 1.1 on Thu May 8 13:19:01 2003 | http://epydoc.sf.net